import { KnapsackRendererBase } from '@knapsack/app';
import type { KnapsackRenderParams, KnapsackTemplateRenderer, KnapsackTemplateRendererResults, KnapsackTemplateRendererBase } from '@knapsack/app/types';
export declare class KnapsackWebComponentRenderer extends KnapsackRendererBase implements KnapsackTemplateRenderer {
    constructor();
    render(opt: KnapsackRenderParams): Promise<KnapsackTemplateRendererResults>;
    getUsage(opt: KnapsackRenderParams): Promise<string>;
    getMeta: KnapsackTemplateRendererBase['getMeta'];
    getTemplateMeta: KnapsackTemplateRendererBase['getTemplateMeta'];
    alterTemplateMetaFiles: KnapsackTemplateRendererBase['alterTemplateMetaFiles'];
}
//# sourceMappingURL=renderer-web-components.d.ts.map